org.apache.hadoop.mapred.lib

## Class IdentityReducer<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.MapReduceBase
  - - org.apache.hadoop.mapred.lib.IdentityReducer<K,V>

- All Implemented Interfaces:
    Closeable, AutoCloseable, JobConfigurable, Reducer<K,V,K,V>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class IdentityReducer<K,V>
      extends MapReduceBase
      implements Reducer<K,V,K,V>

  Performs no reduction, writing all input values directly to the output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reduce(K key, Iterator<V> values, OutputCollector<K,V> output, Reporter reporter)` Writes all keys and values directly to output.

    - ### Methods inherited from class org.apache.hadoop.mapred.MapReduceBase

      `close, configure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable

      `configure`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### IdentityReducer

          public IdentityReducer()

  - ### Method Detail

    - #### reduce

          public void reduce(K key,
                             Iterator<V> values,
                             OutputCollector<K,V> output,
                             Reporter reporter)
                      throws IOException

      Writes all keys and values directly to output.
      Specified by:
        `reduce` in interface `Reducer<K,V,K,V>`
      Parameters:
        `key` - the key.
        `values` - the list of values to reduce.
        `output` - to collect keys and combined values.
        `reporter` - facility to report progress.
      Throws:
        `IOException`

Copyright © 2022 Apache Software Foundation. All rights reserved.